Subject: Questions on How iSCSI Should Handle SCSI Inquiry/Mode Sense, etc.

From: "Lee Xing" <[email-masked]>
Date: Sun, 30 Sep 2001 16:13:27 -0500

(I'm sorry if you receive this msg for more than one time.  My previous
post made on 9/28 was not shown up in the list.    Lee)

> I have a concern on how iSCSI target sends SCSI Inquiry Data/
> Mode Sense Data/Capacity Data to initiator.  I would appreciate 
> it if someone could help and clear it a bit.  The following three 
> questions, in fact, are for the same concern.
> 
> Q1:
> Suppose an iSCSI initiator sends an iSCSI target an iSCSI 
> PDU which encapsulates a SCSI Inquiry command.  In which 
> type of PDU does the iSCSI initiator expect SCSI inquiry 
> data to be received?
> 
> - SHOULD/MUST/MAY target send SCSI inquiry data with 
>   SCSI Response PDU, or
> - SHOULD/MUST/MAY target send SCSI inquiry data with 
>   a PDU other than SCSI Response PDU?
> 
> The same questions are also for SCSI Mode Sense and 
> SCSI Read Capacity commands.
> 
> v.07 has 10 different target opcodes available.  One of them 
> is 0x25 SCSI Data-in 
> 
> Q2:
> There are 10 target opcodes on page 43 of v.07, and two of 
> them are specified as:
> 
> - 0x21 SCSI Response (contains SCSI status and possibly 
>   sense information or other response information) 
> - 0x25 SCSI Data-in (for READ operations)
> 
> The question is what this "READ" is for?  Is it for reading SCSI 
> data **only**, or can it be also used to read SCSI Inquiry Data
> /Mode Sense Data/Capacity Data, etc.?
> 
> Q3:
> If both SCSI Response PDU and 0x25 SCSI Data-in PDU can be 
> used to read SCSI Inquiry Data/Mode Sense Data/Capacity Data, 
> how should we specify this in the draft and make it clearer?  Adding
> a sample for SCSI Inquiry/Mode Sense could be helpful for people
> to understand this.
> 
> Thank you.
> 
> 
> Lee Xing
> Crossroads Systems, Inc.
>